import { Injector } from '@angular/core';
import { TabRecoveryProvider, NewTabParameters, RecoveryToken } from 'tabby-core';
import { TelnetTabComponent } from './components/telnetTab.component';
/** @hidden */
export declare class RecoveryProvider extends TabRecoveryProvider<TelnetTabComponent> {
    private injector;
    constructor(injector: Injector);
    applicableTo(recoveryToken: RecoveryToken): Promise<boolean>;
    recover(recoveryToken: RecoveryToken): Promise<NewTabParameters<TelnetTabComponent>>;
}
